Bug 17652 - opac-account.pl does not include login branchcode
Summary: opac-account.pl does not include login branchcode
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Chris Kirby
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12162
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-17 15:17 UTC by Chris Kirby
Modified: 2017-01-29 11:42 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17652: opac-account.pl does not include login branchcode (1.50 KB, patch)
2016-11-28 05:36 UTC, Chris Kirby
Details | Diff | Splinter Review
Attachment to Bug 17652 - opac-account.pl does not include login branchcode (1.56 KB, patch)
2016-11-30 00:45 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17652: opac-account.pl does not include login branchcode (1.62 KB, patch)
2016-12-02 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Kirby 2016-11-17 15:17:48 UTC
opac-account.pl does not include login branchcode, whereas the other pages (opac-user, opac-memberentry, opac-passwd, opac-readingrecord, opac-suggestions, opac-messaging, opac-shelves)available to users on login DO provide the login branchode. Having the login branchcode available on opac-account.pl would facilitate customization of the OPAC for individual branches.
Comment 1 Viktor Sarge 2016-11-25 15:26:57 UTC
Got a fix for this but it's on a kohadevbox that I'm not really friends with yet :) I'll see if I can get the patch up on monday. It seems to only be an issue of removing the hardcoded line to get the correct class.
Comment 2 Chris Kirby 2016-11-28 05:36:01 UTC
Created attachment 57782 [details] [review]
Bug 17652: opac-account.pl does not include login branchcode

opac-account.pl does not include the login branchcode, whereas the other pages
available to users (opac-user, opac-memberentry, opac-passwd, opac-readingrecord,
opac-suggestions, opac-messaging, opac-shelves, etc.) on login DO provide
the login branchcode. Having the login branchcode available on opac-account.pl
would facilitate customization of the OPAC for individual branches.

To test:
1) Login to the OPAC and open  /cgi-bin/koha/opac-account.pl
2) Inspect the body tag and observe the class attribute does not include
   the login branchcode.
3) Apply the patch.
4) Repeat step 2.
5) Observe that the login branchcode is present.
Comment 3 Alex Buckley 2016-11-30 00:45:08 UTC
Created attachment 57816 [details] [review]
Attachment to Bug 17652 - opac-account.pl does not include login branchcode

Bug 17652: opac-account.pl does not include login branchcode

opac-account.pl does not include the login branchcode, whereas the other pages
available to users (opac-user, opac-memberentry, opac-passwd, opac-readingrecord,
opac-suggestions, opac-messaging, opac-shelves, etc.) on login DO provide
the login branchcode. Having the login branchcode available on opac-account.pl
would facilitate customization of the OPAC for individual branches.

To test:
1) Login to the OPAC and open  /cgi-bin/koha/opac-account.pl
2) Inspect the body tag and observe the class attribute does not include
   the login branchcode.
3) Apply the patch.
4) Repeat step 2.
5) Observe that the login branchcode is present.

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 4 Jonathan Druart 2016-12-02 09:51:14 UTC
Created attachment 57907 [details] [review]
Bug 17652: opac-account.pl does not include login branchcode

opac-account.pl does not include the login branchcode, whereas the other pages
available to users (opac-user, opac-memberentry, opac-passwd, opac-readingrecord,
opac-suggestions, opac-messaging, opac-shelves, etc.) on login DO provide
the login branchcode. Having the login branchcode available on opac-account.pl
would facilitate customization of the OPAC for individual branches.

To test:
1) Login to the OPAC and open  /cgi-bin/koha/opac-account.pl
2) Inspect the body tag and observe the class attribute does not include
   the login branchcode.
3) Apply the patch.
4) Repeat step 2.
5) Observe that the login branchcode is present.

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jonathan Druart 2016-12-02 09:51:41 UTC
Certainly caused by bug 12162.
Comment 6 Kyle M Hall 2016-12-16 11:31:35 UTC
Pushed to master for 17.05, thanks Chris!
Comment 7 Katrin Fischer 2016-12-18 20:33:05 UTC
This patch has been pushed to 16.11.x, will be in 16.11.01.
Comment 8 Julian Maurice 2017-01-02 11:33:54 UTC
Pushed to 3.22.x for 3.22.14
Comment 9 Mason James 2017-01-29 11:42:34 UTC
Pushed to 16.05.x, for 16.05.07 release